Bug 245171 - attr inheritance should try all direct ancestors
attr inheritance should try all direct ancestors
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 09:51 EDT by Lon Hohberger
Modified: 2009-04-16 16:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-1000
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 16:53:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2007-06-21 09:51:38 EDT
+++ This bug was initially created as a clone of Bug #231521 +++

Description of problem:

The special non-OCF inherit flag for rgmanager's resource agents currently only
inherits from the parent resource.  For example, if the "nfslock" attr  is
inherited from the parent "service" for <fs> a la ineherit="service%nfslock",
and the service is structured thusly:

  <service nfslock="1">
    <fs/>
    <fs/>
  </service>

Things work fine.  However, if there's a necessary parent-child relationship
between two <fs/> agents, the second one will not inherit the nfslock parameter:

  <service nfslock="1">
    <fs> <!-- nfslock inherited -->
      <fs/> <!-- nfslock *not* inherited -->
    </fs>
  </service>

So, the inherit-flag should check parents-of-parents until a parent <service>
tag is found, or there are no more parents (e.g. service has no parents, so we
can't check its ancestors).
Comment 1 Marek Grac 2007-06-22 04:41:02 EDT
Patches in CVS
Comment 4 errata-xmlrpc 2007-11-21 16:53:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-1000.html

Note You need to log in before you can comment on or make changes to this bug.